#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion


using System;

namespace BdNTT
{
	/// <summary>
	/// Summary description for AddEduProgramGroupCmd.
	/// </summary>
	public class AddEduProgramGroupCmd:AbstractCommand
	{		
		private EduProgramGroup _newEPG;
		
	
		public AddEduProgramGroupCmd(string name,string extID)
		{			
			_newEPG = new EduProgramGroup(name,extID);			
		}

		public override void doit()
		{	
			AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode.Nodes.Add(_newEPG);
			AppForm.getAppForm().getCoursesTreeView().SelectedNode=_newEPG;
			AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode.Expand();

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;
		}

		public override void undo()
		{
			AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode.Nodes.Remove(_newEPG);
			AppForm.getAppForm().getCoursesTreeView().SelectedNode=AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode;

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;
			
		}

		public override void redo()
		{
			doit();			
		}


	}
}
