#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion


using System;
using System.Collections;

namespace BdNTT
{
	/// <summary>
	/// Summary description for AddTeacherCmd.
	/// </summary>
	public class AddTeacherCmd:AbstractCommand
	{
		private Teacher _teacher;

		public AddTeacherCmd(string name, string lastName,string title, string eduRank, string extID)
		{
			_teacher = new Teacher(name, lastName, title, eduRank, extID);
		}

		public override void doit()
		{
			AppForm.CURR_KNOWLEDGE_DOC.TeachersRootNode.Nodes.Add(_teacher);
			AppForm.getAppForm().getTeachersTreeView().SelectedNode=_teacher;
			AppForm.getAppForm().getTeachersTreeView().SelectedNode.EnsureVisible();
			AppForm.CURR_KNOWLEDGE_DOC.TeachersRootNode.Expand();

			if(!AppForm.CURR_KNOWLEDGE_DOC.TeacherTitlesList.Contains(_teacher.getTitle()))
			{
				AppForm.CURR_KNOWLEDGE_DOC.TeacherTitlesList.Add(_teacher.getTitle());
				AppForm.CURR_KNOWLEDGE_DOC.TeacherTitlesList.Sort();
			}

			if(!AppForm.CURR_KNOWLEDGE_DOC.TeacherEduRanksList.Contains(_teacher.getEduRank()))
			{
				AppForm.CURR_KNOWLEDGE_DOC.TeacherEduRanksList.Add(_teacher.getEduRank());
				AppForm.CURR_KNOWLEDGE_DOC.TeacherEduRanksList.Sort();
			}

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=1;
		}

		public override void undo()
		{
			AppForm.CURR_KNOWLEDGE_DOC.TeachersRootNode.Nodes.Remove(_teacher);
			AppForm.getAppForm().getTeachersTreeView().SelectedNode=AppForm.CURR_KNOWLEDGE_DOC.TeachersRootNode;
			AppForm.getAppForm().getTeachersTreeView().SelectedNode.EnsureVisible();			

			if(HardConstraintChecks.checkIfTitleOfTeacherIsFreeForDelete(_teacher))
			{
				AppForm.CURR_KNOWLEDGE_DOC.TeacherTitlesList.Remove(_teacher.getTitle());	
			}

			if(HardConstraintChecks.checkIfEduRankOfTeacherIsFreeForDelete(_teacher))
			{
				AppForm.CURR_KNOWLEDGE_DOC.TeacherEduRanksList.Remove(_teacher.getEduRank());
			}

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=1;
									
		}

		public override void redo()
		{
			doit();			
		}
	}
}
