#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion


using System;

namespace BdNTT
{
	/// <summary>
	/// Summary description for ChangeDocumentDataCmd.
	/// </summary>
	public class ChangeDocumentDataCmd:AbstractCommand
	{
		private string _oldEduInstitutionName;
		private string _oldSchoolYear;
		private int _oldDocType;

		private string _newEduInstitutionName;
		private string _newSchoolYear;
		private int _newDocType;

		public ChangeDocumentDataCmd(int oldDocType,string oldEduInstitutionName,string oldSchoolYear, int newDocType,string newEduInstitutionName, string newSchoolYear)
		{
			_oldDocType=oldDocType;
			_oldEduInstitutionName=oldEduInstitutionName;
			_oldSchoolYear=oldSchoolYear;

			_newDocType=newDocType;
			_newEduInstitutionName=newEduInstitutionName;
			_newSchoolYear=newSchoolYear;
		}

		public override void doit()
		{
			AppForm.CURR_KNOWLEDGE_DOC.EduInstitutionName=_newEduInstitutionName;
			AppForm.CURR_KNOWLEDGE_DOC.SchoolYear=_newSchoolYear;
			AppForm.CURR_KNOWLEDGE_DOC.DocumentType=_newDocType;

			AppForm.CURR_KNOWLEDGE_DOC.refreshTreeRootText();		

			AppForm.getAppForm().getCoursesTreeView().SelectedNode=AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode;

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;

			AppForm.setResourceManager();
			AppForm.getAppForm().updateFormRelatedStrings();
			AppForm.getAppForm().updateOpenDocumentRelatedStrings();
			
		}

		public override void undo()
		{
			AppForm.CURR_KNOWLEDGE_DOC.EduInstitutionName=_oldEduInstitutionName;
			AppForm.CURR_KNOWLEDGE_DOC.SchoolYear=_oldSchoolYear;
			AppForm.CURR_KNOWLEDGE_DOC.DocumentType=_oldDocType;

			AppForm.CURR_KNOWLEDGE_DOC.refreshTreeRootText();			

			AppForm.getAppForm().getCoursesTreeView().SelectedNode=AppForm.CURR_KNOWLEDGE_DOC.CoursesRootNode;			

			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;

			AppForm.setResourceManager();
			AppForm.getAppForm().updateFormRelatedStrings();
			AppForm.getAppForm().updateOpenDocumentRelatedStrings();
		}

		public override void redo()
		{
			doit();			
		}
	}
}
