#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion


using System;

namespace BdNTT
{
	/// <summary>
	/// Summary description for DeleteEduProgramCmd.
	/// </summary>
	public class DeleteEduProgramCmd:AbstractCommand
	{
		private EduProgram _ep;
		private EduProgramGroup _epg;

		public DeleteEduProgramCmd(EduProgram ep)
		{
			_ep=ep;
			_epg = (EduProgramGroup)_ep.Parent;
		}

		public override void doit()
		{			
			_ep.Remove();
			AppForm.getAppForm().getCoursesTreeView().SelectedNode=_epg;

			foreach(Course course in _ep.Nodes)
			{
				if(course.getCoursesToHoldTogetherList().Count==0)
				{
					AppForm.CURR_KNOWLEDGE_DOC.decrUnallocatedLessonsCounter(course.getNumberOfLessonsPerWeek());
				}
				else
				{
					foreach(Course deepCourse in course.getCoursesToHoldTogetherList())
					{
						deepCourse.getCoursesToHoldTogetherList().Remove(course);
					}

				}


			}
			
			AppForm.getAppForm().getStatusBarPanel2().Text=AppForm.CURR_KNOWLEDGE_DOC.getNumOfUnallocatedLessonsStatusText();
			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;

		}

		public override void undo()
		{
			_epg.Nodes.Add(_ep);	
			_epg.Expand();
			AppForm.getAppForm().getCoursesTreeView().SelectedNode=_ep;	

			foreach(Course course in _ep.Nodes)
			{
				if(course.getCoursesToHoldTogetherList().Count==0)
				{
					AppForm.CURR_KNOWLEDGE_DOC.incrUnallocatedLessonsCounter(course.getNumberOfLessonsPerWeek());
				}
				else
				{
					foreach(Course deepCourse in course.getCoursesToHoldTogetherList())
					{
						deepCourse.getCoursesToHoldTogetherList().Add(course);
					}

				}
			}

			AppForm.getAppForm().getStatusBarPanel2().Text=AppForm.CURR_KNOWLEDGE_DOC.getNumOfUnallocatedLessonsStatusText();
			AppForm.getAppForm().getTreeTabControl().SelectedIndex=0;
			
		}

		public override void redo()
		{
			doit();			
		}


	}
}
