#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion


using System;
using System.Collections;

namespace BdNTT
{
	/// <summary>
	/// Summary description for MacroCommand.
	/// </summary>
	public class MacroCommand:AbstractCommand
	{
		private ArrayList _list;		

		public MacroCommand()
		{
			_list=new ArrayList();
		}

		public void addInList(AbstractCommand command) 
		{
			_list.Add(command);
		}

		public void removeFromList(AbstractCommand command) 
		{
			_list.Remove(command);
		}

		public override void doit() 
		{
			for (int i = 0; i < _list.Count ; i++ ) 
			{
				AbstractCommand cmd = (AbstractCommand)_list[i];
				cmd.doit();
			}

		}

		public override void undo() 
		{
			for (int i = _list.Count-1; i >=0  ; i-- ) 
			{
				AbstractCommand cmd = (AbstractCommand)_list[i];
				cmd.undo();
			}
		}

		public override void redo() 
		{
			for (int i = 0; i < _list.Count ; i++ ) 
			{
				AbstractCommand cmd = (AbstractCommand)_list[i];
				cmd.redo();
			}
		}


		public ArrayList getList() 
		{
			return _list;
		}

		
		
	}
}
