#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;

namespace BdNTT
{
	/// <summary>
	/// Summary description for MySplashForm.
	/// </summary>
	public class MySplashForm : System.Windows.Forms.Form
	{
		private string _octFileName;
		private string _aVersion;
		private System.Drawing.Image imSplashScreen;
		private System.Reflection.Assembly myAssembly;
		private string assemblyPath;
		private System.Windows.Forms.Timer _timer;
		private System.Windows.Forms.Button _okButton;
		private System.Windows.Forms.Label _verLabel;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.ComponentModel.IContainer components;

		public MySplashForm()
		{
			
			myAssembly = System.Reflection.Assembly.GetExecutingAssembly();			
			_aVersion = myAssembly.GetName().Version.ToString();
			assemblyPath = myAssembly.GetName().Name.Replace(" "," ");
            
			imSplashScreen = System.Drawing.Image.FromStream(myAssembly.GetManifestResourceStream(assemblyPath+"."+"SplashScreen.png"));

			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			_verLabel.Text="Version: "+_aVersion+"    http://88.87.24.147";

		}

		public MySplashForm(string startUpFileName):this()		
		{
			_octFileName=startUpFileName;
		}

		public MySplashForm(bool isAbout):this()		
		{
			_timer.Enabled=false;
			_okButton.Visible=true;
			
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MySplashForm));
			this._okButton = new System.Windows.Forms.Button();
			this._timer = new System.Windows.Forms.Timer(this.components);
			this._verLabel = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// _okButton
			// 
			this._okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this._okButton.ForeColor = System.Drawing.Color.CadetBlue;
			this._okButton.Location = new System.Drawing.Point(506, 456);
			this._okButton.Name = "_okButton";
			this._okButton.Size = new System.Drawing.Size(80, 24);
			this._okButton.TabIndex = 0;
			this._okButton.Text = "";
			this._okButton.Visible = false;
			// 
			// _timer
			// 
			this._timer.Enabled = true;
			this._timer.Interval = 800;
			this._timer.Tick += new System.EventHandler(this._timer_Tick);
			// 
			// _verLabel
			// 
			this._verLabel.BackColor = System.Drawing.SystemColors.Window;
			this._verLabel.Location = new System.Drawing.Point(16, 408);
			this._verLabel.Name = "_verLabel";
			this._verLabel.Size = new System.Drawing.Size(352, 16);
			this._verLabel.TabIndex = 2;
			this._verLabel.Text = "Version";
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.SystemColors.Window;
			this.label2.Location = new System.Drawing.Point(16, 432);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(416, 28);
			this.label2.TabIndex = 3;
			this.label2.Text = "Copyright  2007 Daniel Denev, FreeKnowledge, Bulgarian Educational Site, Compute" +
				"r Science, Veliko Tarnovo, Bulgaria.";
			this.label2.Click += new System.EventHandler(this.label2_Click);
			// 
			// label3
			// 
			this.label3.BackColor = System.Drawing.SystemColors.Window;
			this.label3.Location = new System.Drawing.Point(16, 472);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(424, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "This application is released under GNU General Public License (GPL).";
			// 
			// MySplashForm
			// 
			this.AcceptButton = this._okButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = new System.Drawing.Size(608, 512);
			this.ControlBox = false;
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this._verLabel);
			this.Controls.Add(this._okButton);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "MySplashForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.TopMost = true;
			this.Load += new System.EventHandler(this.MySplashForm_Load);
			this.ResumeLayout(false);

		}
		#endregion
	
	
		[STAThread]
		static void Main(string [] args) 
		{				
			if(args.Length==0)
			{
				Application.Run(new MySplashForm());
			}
			else if(args.Length==1)
			{
				Application.Run(new MySplashForm(args[0]));
			}			
		}

		protected override void OnPaint(PaintEventArgs e)
		{

		}

		protected override void OnPaintBackground(PaintEventArgs pevent)
		{
			System.Drawing.Graphics g = pevent.Graphics;
			g.DrawImage(imSplashScreen,new System.Drawing.Rectangle(0,0,this.Width,this.Height));

		}
		

		private void _timer_Tick(object sender, System.EventArgs e)
		{
			_timer.Enabled=false;
			_timer.Dispose();
			
			AppForm appFrm;

			if(_octFileName!=null)
			{
				appFrm= new AppForm(_octFileName);				
			}
			else
			{
                appFrm= new AppForm();                
			}

			appFrm.Show();	
			this.Hide();
		}

		private void MySplashForm_Load(object sender, System.EventArgs e)
		{
		
		}

		private void label2_Click(object sender, System.EventArgs e)
		{
		
		}

		
	
	}

}
