#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;

namespace BdNTT
{
	/// <summary>
	/// Summary description for SettingsForm.
	/// </summary>
	public class SettingsForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button _cancelButton;
		private System.Windows.Forms.Button _okButton;
		private System.Windows.Forms.TabControl _tabControl;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox _schoolYearTextBox;
		private System.Windows.Forms.TextBox _eduInstNameTextBox;
		private System.Windows.Forms.TabPage _generalSettTabPage;
		private System.Windows.Forms.TabPage _guiSettTabPage;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.NumericUpDown numericUpDown1;
		private System.Windows.Forms.NumericUpDown numericUpDown2;
		private System.Windows.Forms.NumericUpDown numericUpDown3;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.TextBox _workDirTextBox;
		private System.Windows.Forms.Button _browseDirButton;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.ComboBox _defaultGUITextTypeComboBox;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.ComboBox _guiLanguageComboBox;
		private System.Windows.Forms.TabPage _reportTabPage;
		private System.Windows.Forms.Button _browsePdfViewerButton;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.TextBox _pdfReaderTextBox;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public SettingsForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();		
	
			_defaultGUITextTypeComboBox.DataSource=AppForm.DOCUMENT_TYPES_LIST;		
	
			ArrayList languagesList = new ArrayList();
			languagesList.Add(new KNOWLEDGEGuiLanguage("en","English"));
            languagesList.Add(new KNOWLEDGEGuiLanguage("bg-BG","Bulgarian"));
			
			_guiLanguageComboBox.DataSource=languagesList;
			_guiLanguageComboBox.ValueMember="ShortLang";
			_guiLanguageComboBox.DisplayMember="LongLang";
			
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(SettingsForm));
			this._cancelButton = new System.Windows.Forms.Button();
			this._okButton = new System.Windows.Forms.Button();
			this._tabControl = new System.Windows.Forms.TabControl();
			this._generalSettTabPage = new System.Windows.Forms.TabPage();
			this._browseDirButton = new System.Windows.Forms.Button();
			this._workDirTextBox = new System.Windows.Forms.TextBox();
			this.label6 = new System.Windows.Forms.Label();
			this._schoolYearTextBox = new System.Windows.Forms.TextBox();
			this._eduInstNameTextBox = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this._guiSettTabPage = new System.Windows.Forms.TabPage();
			this.label8 = new System.Windows.Forms.Label();
			this._guiLanguageComboBox = new System.Windows.Forms.ComboBox();
			this._defaultGUITextTypeComboBox = new System.Windows.Forms.ComboBox();
			this.label7 = new System.Windows.Forms.Label();
			this.numericUpDown3 = new System.Windows.Forms.NumericUpDown();
			this.numericUpDown2 = new System.Windows.Forms.NumericUpDown();
			this.numericUpDown1 = new System.Windows.Forms.NumericUpDown();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this._reportTabPage = new System.Windows.Forms.TabPage();
			this._browsePdfViewerButton = new System.Windows.Forms.Button();
			this._pdfReaderTextBox = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this._tabControl.SuspendLayout();
			this._generalSettTabPage.SuspendLayout();
			this._guiSettTabPage.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown3)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).BeginInit();
			this._reportTabPage.SuspendLayout();
			this.SuspendLayout();
			// 
			// _cancelButton
			// 
			this._cancelButton.AccessibleDescription = resources.GetString("_cancelButton.AccessibleDescription");
			this._cancelButton.AccessibleName = resources.GetString("_cancelButton.AccessibleName");
			this._cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_cancelButton.Anchor")));
			this._cancelButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_cancelButton.BackgroundImage")));
			this._cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this._cancelButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_cancelButton.Dock")));
			this._cancelButton.Enabled = ((bool)(resources.GetObject("_cancelButton.Enabled")));
			this._cancelButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_cancelButton.FlatStyle")));
			this._cancelButton.Font = ((System.Drawing.Font)(resources.GetObject("_cancelButton.Font")));
			this._cancelButton.Image = ((System.Drawing.Image)(resources.GetObject("_cancelButton.Image")));
			this._cancelButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_cancelButton.ImageAlign")));
			this._cancelButton.ImageIndex = ((int)(resources.GetObject("_cancelButton.ImageIndex")));
			this._cancelButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_cancelButton.ImeMode")));
			this._cancelButton.Location = ((System.Drawing.Point)(resources.GetObject("_cancelButton.Location")));
			this._cancelButton.Name = "_cancelButton";
			this._cancelButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_cancelButton.RightToLeft")));
			this._cancelButton.Size = ((System.Drawing.Size)(resources.GetObject("_cancelButton.Size")));
			this._cancelButton.TabIndex = ((int)(resources.GetObject("_cancelButton.TabIndex")));
			this._cancelButton.Text = resources.GetString("_cancelButton.Text");
			this._cancelButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_cancelButton.TextAlign")));
			this._cancelButton.Visible = ((bool)(resources.GetObject("_cancelButton.Visible")));
			// 
			// _okButton
			// 
			this._okButton.AccessibleDescription = resources.GetString("_okButton.AccessibleDescription");
			this._okButton.AccessibleName = resources.GetString("_okButton.AccessibleName");
			this._okButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_okButton.Anchor")));
			this._okButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_okButton.BackgroundImage")));
			this._okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this._okButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_okButton.Dock")));
			this._okButton.Enabled = ((bool)(resources.GetObject("_okButton.Enabled")));
			this._okButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_okButton.FlatStyle")));
			this._okButton.Font = ((System.Drawing.Font)(resources.GetObject("_okButton.Font")));
			this._okButton.Image = ((System.Drawing.Image)(resources.GetObject("_okButton.Image")));
			this._okButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_okButton.ImageAlign")));
			this._okButton.ImageIndex = ((int)(resources.GetObject("_okButton.ImageIndex")));
			this._okButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_okButton.ImeMode")));
			this._okButton.Location = ((System.Drawing.Point)(resources.GetObject("_okButton.Location")));
			this._okButton.Name = "_okButton";
			this._okButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_okButton.RightToLeft")));
			this._okButton.Size = ((System.Drawing.Size)(resources.GetObject("_okButton.Size")));
			this._okButton.TabIndex = ((int)(resources.GetObject("_okButton.TabIndex")));
			this._okButton.Text = resources.GetString("_okButton.Text");
			this._okButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_okButton.TextAlign")));
			this._okButton.Visible = ((bool)(resources.GetObject("_okButton.Visible")));
			// 
			// _tabControl
			// 
			this._tabControl.AccessibleDescription = resources.GetString("_tabControl.AccessibleDescription");
			this._tabControl.AccessibleName = resources.GetString("_tabControl.AccessibleName");
			this._tabControl.Alignment = ((System.Windows.Forms.TabAlignment)(resources.GetObject("_tabControl.Alignment")));
			this._tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_tabControl.Anchor")));
			this._tabControl.Appearance = ((System.Windows.Forms.TabAppearance)(resources.GetObject("_tabControl.Appearance")));
			this._tabControl.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_tabControl.BackgroundImage")));
			this._tabControl.Controls.Add(this._generalSettTabPage);
			this._tabControl.Controls.Add(this._guiSettTabPage);
			this._tabControl.Controls.Add(this._reportTabPage);
			this._tabControl.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_tabControl.Dock")));
			this._tabControl.Enabled = ((bool)(resources.GetObject("_tabControl.Enabled")));
			this._tabControl.Font = ((System.Drawing.Font)(resources.GetObject("_tabControl.Font")));
			this._tabControl.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_tabControl.ImeMode")));
			this._tabControl.ItemSize = ((System.Drawing.Size)(resources.GetObject("_tabControl.ItemSize")));
			this._tabControl.Location = ((System.Drawing.Point)(resources.GetObject("_tabControl.Location")));
			this._tabControl.Name = "_tabControl";
			this._tabControl.Padding = ((System.Drawing.Point)(resources.GetObject("_tabControl.Padding")));
			this._tabControl.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_tabControl.RightToLeft")));
			this._tabControl.SelectedIndex = 0;
			this._tabControl.ShowToolTips = ((bool)(resources.GetObject("_tabControl.ShowToolTips")));
			this._tabControl.Size = ((System.Drawing.Size)(resources.GetObject("_tabControl.Size")));
			this._tabControl.TabIndex = ((int)(resources.GetObject("_tabControl.TabIndex")));
			this._tabControl.Text = resources.GetString("_tabControl.Text");
			this._tabControl.Visible = ((bool)(resources.GetObject("_tabControl.Visible")));
			// 
			// _generalSettTabPage
			// 
			this._generalSettTabPage.AccessibleDescription = resources.GetString("_generalSettTabPage.AccessibleDescription");
			this._generalSettTabPage.AccessibleName = resources.GetString("_generalSettTabPage.AccessibleName");
			this._generalSettTabPage.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_generalSettTabPage.Anchor")));
			this._generalSettTabPage.AutoScroll = ((bool)(resources.GetObject("_generalSettTabPage.AutoScroll")));
			this._generalSettTabPage.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("_generalSettTabPage.AutoScrollMargin")));
			this._generalSettTabPage.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("_generalSettTabPage.AutoScrollMinSize")));
			this._generalSettTabPage.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_generalSettTabPage.BackgroundImage")));
			this._generalSettTabPage.Controls.Add(this._browseDirButton);
			this._generalSettTabPage.Controls.Add(this._workDirTextBox);
			this._generalSettTabPage.Controls.Add(this.label6);
			this._generalSettTabPage.Controls.Add(this._schoolYearTextBox);
			this._generalSettTabPage.Controls.Add(this._eduInstNameTextBox);
			this._generalSettTabPage.Controls.Add(this.label2);
			this._generalSettTabPage.Controls.Add(this.label1);
			this._generalSettTabPage.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_generalSettTabPage.Dock")));
			this._generalSettTabPage.Enabled = ((bool)(resources.GetObject("_generalSettTabPage.Enabled")));
			this._generalSettTabPage.Font = ((System.Drawing.Font)(resources.GetObject("_generalSettTabPage.Font")));
			this._generalSettTabPage.ImageIndex = ((int)(resources.GetObject("_generalSettTabPage.ImageIndex")));
			this._generalSettTabPage.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_generalSettTabPage.ImeMode")));
			this._generalSettTabPage.Location = ((System.Drawing.Point)(resources.GetObject("_generalSettTabPage.Location")));
			this._generalSettTabPage.Name = "_generalSettTabPage";
			this._generalSettTabPage.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_generalSettTabPage.RightToLeft")));
			this._generalSettTabPage.Size = ((System.Drawing.Size)(resources.GetObject("_generalSettTabPage.Size")));
			this._generalSettTabPage.TabIndex = ((int)(resources.GetObject("_generalSettTabPage.TabIndex")));
			this._generalSettTabPage.Text = resources.GetString("_generalSettTabPage.Text");
			this._generalSettTabPage.ToolTipText = resources.GetString("_generalSettTabPage.ToolTipText");
			this._generalSettTabPage.Visible = ((bool)(resources.GetObject("_generalSettTabPage.Visible")));
			// 
			// _browseDirButton
			// 
			this._browseDirButton.AccessibleDescription = resources.GetString("_browseDirButton.AccessibleDescription");
			this._browseDirButton.AccessibleName = resources.GetString("_browseDirButton.AccessibleName");
			this._browseDirButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_browseDirButton.Anchor")));
			this._browseDirButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_browseDirButton.BackgroundImage")));
			this._browseDirButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_browseDirButton.Dock")));
			this._browseDirButton.Enabled = ((bool)(resources.GetObject("_browseDirButton.Enabled")));
			this._browseDirButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_browseDirButton.FlatStyle")));
			this._browseDirButton.Font = ((System.Drawing.Font)(resources.GetObject("_browseDirButton.Font")));
			this._browseDirButton.Image = ((System.Drawing.Image)(resources.GetObject("_browseDirButton.Image")));
			this._browseDirButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_browseDirButton.ImageAlign")));
			this._browseDirButton.ImageIndex = ((int)(resources.GetObject("_browseDirButton.ImageIndex")));
			this._browseDirButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_browseDirButton.ImeMode")));
			this._browseDirButton.Location = ((System.Drawing.Point)(resources.GetObject("_browseDirButton.Location")));
			this._browseDirButton.Name = "_browseDirButton";
			this._browseDirButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_browseDirButton.RightToLeft")));
			this._browseDirButton.Size = ((System.Drawing.Size)(resources.GetObject("_browseDirButton.Size")));
			this._browseDirButton.TabIndex = ((int)(resources.GetObject("_browseDirButton.TabIndex")));
			this._browseDirButton.Text = resources.GetString("_browseDirButton.Text");
			this._browseDirButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_browseDirButton.TextAlign")));
			this._browseDirButton.Visible = ((bool)(resources.GetObject("_browseDirButton.Visible")));
			this._browseDirButton.Click += new System.EventHandler(this._browseDirButton_Click);
			// 
			// _workDirTextBox
			// 
			this._workDirTextBox.AccessibleDescription = resources.GetString("_workDirTextBox.AccessibleDescription");
			this._workDirTextBox.AccessibleName = resources.GetString("_workDirTextBox.AccessibleName");
			this._workDirTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_workDirTextBox.Anchor")));
			this._workDirTextBox.AutoSize = ((bool)(resources.GetObject("_workDirTextBox.AutoSize")));
			this._workDirTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_workDirTextBox.BackgroundImage")));
			this._workDirTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_workDirTextBox.Dock")));
			this._workDirTextBox.Enabled = ((bool)(resources.GetObject("_workDirTextBox.Enabled")));
			this._workDirTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_workDirTextBox.Font")));
			this._workDirTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_workDirTextBox.ImeMode")));
			this._workDirTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_workDirTextBox.Location")));
			this._workDirTextBox.MaxLength = ((int)(resources.GetObject("_workDirTextBox.MaxLength")));
			this._workDirTextBox.Multiline = ((bool)(resources.GetObject("_workDirTextBox.Multiline")));
			this._workDirTextBox.Name = "_workDirTextBox";
			this._workDirTextBox.PasswordChar = ((char)(resources.GetObject("_workDirTextBox.PasswordChar")));
			this._workDirTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_workDirTextBox.RightToLeft")));
			this._workDirTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_workDirTextBox.ScrollBars")));
			this._workDirTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_workDirTextBox.Size")));
			this._workDirTextBox.TabIndex = ((int)(resources.GetObject("_workDirTextBox.TabIndex")));
			this._workDirTextBox.Text = resources.GetString("_workDirTextBox.Text");
			this._workDirTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_workDirTextBox.TextAlign")));
			this._workDirTextBox.Visible = ((bool)(resources.GetObject("_workDirTextBox.Visible")));
			this._workDirTextBox.WordWrap = ((bool)(resources.GetObject("_workDirTextBox.WordWrap")));
			// 
			// label6
			// 
			this.label6.AccessibleDescription = resources.GetString("label6.AccessibleDescription");
			this.label6.AccessibleName = resources.GetString("label6.AccessibleName");
			this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label6.Anchor")));
			this.label6.AutoSize = ((bool)(resources.GetObject("label6.AutoSize")));
			this.label6.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label6.Dock")));
			this.label6.Enabled = ((bool)(resources.GetObject("label6.Enabled")));
			this.label6.Font = ((System.Drawing.Font)(resources.GetObject("label6.Font")));
			this.label6.Image = ((System.Drawing.Image)(resources.GetObject("label6.Image")));
			this.label6.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.ImageAlign")));
			this.label6.ImageIndex = ((int)(resources.GetObject("label6.ImageIndex")));
			this.label6.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label6.ImeMode")));
			this.label6.Location = ((System.Drawing.Point)(resources.GetObject("label6.Location")));
			this.label6.Name = "label6";
			this.label6.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label6.RightToLeft")));
			this.label6.Size = ((System.Drawing.Size)(resources.GetObject("label6.Size")));
			this.label6.TabIndex = ((int)(resources.GetObject("label6.TabIndex")));
			this.label6.Text = resources.GetString("label6.Text");
			this.label6.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.TextAlign")));
			this.label6.Visible = ((bool)(resources.GetObject("label6.Visible")));
			// 
			// _schoolYearTextBox
			// 
			this._schoolYearTextBox.AccessibleDescription = resources.GetString("_schoolYearTextBox.AccessibleDescription");
			this._schoolYearTextBox.AccessibleName = resources.GetString("_schoolYearTextBox.AccessibleName");
			this._schoolYearTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_schoolYearTextBox.Anchor")));
			this._schoolYearTextBox.AutoSize = ((bool)(resources.GetObject("_schoolYearTextBox.AutoSize")));
			this._schoolYearTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_schoolYearTextBox.BackgroundImage")));
			this._schoolYearTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_schoolYearTextBox.Dock")));
			this._schoolYearTextBox.Enabled = ((bool)(resources.GetObject("_schoolYearTextBox.Enabled")));
			this._schoolYearTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_schoolYearTextBox.Font")));
			this._schoolYearTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_schoolYearTextBox.ImeMode")));
			this._schoolYearTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_schoolYearTextBox.Location")));
			this._schoolYearTextBox.MaxLength = ((int)(resources.GetObject("_schoolYearTextBox.MaxLength")));
			this._schoolYearTextBox.Multiline = ((bool)(resources.GetObject("_schoolYearTextBox.Multiline")));
			this._schoolYearTextBox.Name = "_schoolYearTextBox";
			this._schoolYearTextBox.PasswordChar = ((char)(resources.GetObject("_schoolYearTextBox.PasswordChar")));
			this._schoolYearTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_schoolYearTextBox.RightToLeft")));
			this._schoolYearTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_schoolYearTextBox.ScrollBars")));
			this._schoolYearTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_schoolYearTextBox.Size")));
			this._schoolYearTextBox.TabIndex = ((int)(resources.GetObject("_schoolYearTextBox.TabIndex")));
			this._schoolYearTextBox.Text = resources.GetString("_schoolYearTextBox.Text");
			this._schoolYearTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_schoolYearTextBox.TextAlign")));
			this._schoolYearTextBox.Visible = ((bool)(resources.GetObject("_schoolYearTextBox.Visible")));
			this._schoolYearTextBox.WordWrap = ((bool)(resources.GetObject("_schoolYearTextBox.WordWrap")));
			// 
			// _eduInstNameTextBox
			// 
			this._eduInstNameTextBox.AccessibleDescription = resources.GetString("_eduInstNameTextBox.AccessibleDescription");
			this._eduInstNameTextBox.AccessibleName = resources.GetString("_eduInstNameTextBox.AccessibleName");
			this._eduInstNameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_eduInstNameTextBox.Anchor")));
			this._eduInstNameTextBox.AutoSize = ((bool)(resources.GetObject("_eduInstNameTextBox.AutoSize")));
			this._eduInstNameTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_eduInstNameTextBox.BackgroundImage")));
			this._eduInstNameTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_eduInstNameTextBox.Dock")));
			this._eduInstNameTextBox.Enabled = ((bool)(resources.GetObject("_eduInstNameTextBox.Enabled")));
			this._eduInstNameTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_eduInstNameTextBox.Font")));
			this._eduInstNameTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_eduInstNameTextBox.ImeMode")));
			this._eduInstNameTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_eduInstNameTextBox.Location")));
			this._eduInstNameTextBox.MaxLength = ((int)(resources.GetObject("_eduInstNameTextBox.MaxLength")));
			this._eduInstNameTextBox.Multiline = ((bool)(resources.GetObject("_eduInstNameTextBox.Multiline")));
			this._eduInstNameTextBox.Name = "_eduInstNameTextBox";
			this._eduInstNameTextBox.PasswordChar = ((char)(resources.GetObject("_eduInstNameTextBox.PasswordChar")));
			this._eduInstNameTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_eduInstNameTextBox.RightToLeft")));
			this._eduInstNameTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_eduInstNameTextBox.ScrollBars")));
			this._eduInstNameTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_eduInstNameTextBox.Size")));
			this._eduInstNameTextBox.TabIndex = ((int)(resources.GetObject("_eduInstNameTextBox.TabIndex")));
			this._eduInstNameTextBox.Text = resources.GetString("_eduInstNameTextBox.Text");
			this._eduInstNameTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_eduInstNameTextBox.TextAlign")));
			this._eduInstNameTextBox.Visible = ((bool)(resources.GetObject("_eduInstNameTextBox.Visible")));
			this._eduInstNameTextBox.WordWrap = ((bool)(resources.GetObject("_eduInstNameTextBox.WordWrap")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// _guiSettTabPage
			// 
			this._guiSettTabPage.AccessibleDescription = resources.GetString("_guiSettTabPage.AccessibleDescription");
			this._guiSettTabPage.AccessibleName = resources.GetString("_guiSettTabPage.AccessibleName");
			this._guiSettTabPage.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_guiSettTabPage.Anchor")));
			this._guiSettTabPage.AutoScroll = ((bool)(resources.GetObject("_guiSettTabPage.AutoScroll")));
			this._guiSettTabPage.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("_guiSettTabPage.AutoScrollMargin")));
			this._guiSettTabPage.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("_guiSettTabPage.AutoScrollMinSize")));
			this._guiSettTabPage.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_guiSettTabPage.BackgroundImage")));
			this._guiSettTabPage.Controls.Add(this.label8);
			this._guiSettTabPage.Controls.Add(this._guiLanguageComboBox);
			this._guiSettTabPage.Controls.Add(this._defaultGUITextTypeComboBox);
			this._guiSettTabPage.Controls.Add(this.label7);
			this._guiSettTabPage.Controls.Add(this.numericUpDown3);
			this._guiSettTabPage.Controls.Add(this.numericUpDown2);
			this._guiSettTabPage.Controls.Add(this.numericUpDown1);
			this._guiSettTabPage.Controls.Add(this.label5);
			this._guiSettTabPage.Controls.Add(this.label4);
			this._guiSettTabPage.Controls.Add(this.label3);
			this._guiSettTabPage.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_guiSettTabPage.Dock")));
			this._guiSettTabPage.Enabled = ((bool)(resources.GetObject("_guiSettTabPage.Enabled")));
			this._guiSettTabPage.Font = ((System.Drawing.Font)(resources.GetObject("_guiSettTabPage.Font")));
			this._guiSettTabPage.ImageIndex = ((int)(resources.GetObject("_guiSettTabPage.ImageIndex")));
			this._guiSettTabPage.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_guiSettTabPage.ImeMode")));
			this._guiSettTabPage.Location = ((System.Drawing.Point)(resources.GetObject("_guiSettTabPage.Location")));
			this._guiSettTabPage.Name = "_guiSettTabPage";
			this._guiSettTabPage.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_guiSettTabPage.RightToLeft")));
			this._guiSettTabPage.Size = ((System.Drawing.Size)(resources.GetObject("_guiSettTabPage.Size")));
			this._guiSettTabPage.TabIndex = ((int)(resources.GetObject("_guiSettTabPage.TabIndex")));
			this._guiSettTabPage.Text = resources.GetString("_guiSettTabPage.Text");
			this._guiSettTabPage.ToolTipText = resources.GetString("_guiSettTabPage.ToolTipText");
			this._guiSettTabPage.Visible = ((bool)(resources.GetObject("_guiSettTabPage.Visible")));
			// 
			// label8
			// 
			this.label8.AccessibleDescription = resources.GetString("label8.AccessibleDescription");
			this.label8.AccessibleName = resources.GetString("label8.AccessibleName");
			this.label8.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label8.Anchor")));
			this.label8.AutoSize = ((bool)(resources.GetObject("label8.AutoSize")));
			this.label8.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label8.Dock")));
			this.label8.Enabled = ((bool)(resources.GetObject("label8.Enabled")));
			this.label8.Font = ((System.Drawing.Font)(resources.GetObject("label8.Font")));
			this.label8.Image = ((System.Drawing.Image)(resources.GetObject("label8.Image")));
			this.label8.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label8.ImageAlign")));
			this.label8.ImageIndex = ((int)(resources.GetObject("label8.ImageIndex")));
			this.label8.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label8.ImeMode")));
			this.label8.Location = ((System.Drawing.Point)(resources.GetObject("label8.Location")));
			this.label8.Name = "label8";
			this.label8.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label8.RightToLeft")));
			this.label8.Size = ((System.Drawing.Size)(resources.GetObject("label8.Size")));
			this.label8.TabIndex = ((int)(resources.GetObject("label8.TabIndex")));
			this.label8.Text = resources.GetString("label8.Text");
			this.label8.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label8.TextAlign")));
			this.label8.Visible = ((bool)(resources.GetObject("label8.Visible")));
			// 
			// _guiLanguageComboBox
			// 
			this._guiLanguageComboBox.AccessibleDescription = resources.GetString("_guiLanguageComboBox.AccessibleDescription");
			this._guiLanguageComboBox.AccessibleName = resources.GetString("_guiLanguageComboBox.AccessibleName");
			this._guiLanguageComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_guiLanguageComboBox.Anchor")));
			this._guiLanguageComboBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_guiLanguageComboBox.BackgroundImage")));
			this._guiLanguageComboBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_guiLanguageComboBox.Dock")));
			this._guiLanguageComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this._guiLanguageComboBox.Enabled = ((bool)(resources.GetObject("_guiLanguageComboBox.Enabled")));
			this._guiLanguageComboBox.Font = ((System.Drawing.Font)(resources.GetObject("_guiLanguageComboBox.Font")));
			this._guiLanguageComboBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_guiLanguageComboBox.ImeMode")));
			this._guiLanguageComboBox.IntegralHeight = ((bool)(resources.GetObject("_guiLanguageComboBox.IntegralHeight")));
			this._guiLanguageComboBox.ItemHeight = ((int)(resources.GetObject("_guiLanguageComboBox.ItemHeight")));
			this._guiLanguageComboBox.Location = ((System.Drawing.Point)(resources.GetObject("_guiLanguageComboBox.Location")));
			this._guiLanguageComboBox.MaxDropDownItems = ((int)(resources.GetObject("_guiLanguageComboBox.MaxDropDownItems")));
			this._guiLanguageComboBox.MaxLength = ((int)(resources.GetObject("_guiLanguageComboBox.MaxLength")));
			this._guiLanguageComboBox.Name = "_guiLanguageComboBox";
			this._guiLanguageComboBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_guiLanguageComboBox.RightToLeft")));
			this._guiLanguageComboBox.Size = ((System.Drawing.Size)(resources.GetObject("_guiLanguageComboBox.Size")));
			this._guiLanguageComboBox.TabIndex = ((int)(resources.GetObject("_guiLanguageComboBox.TabIndex")));
			this._guiLanguageComboBox.Text = resources.GetString("_guiLanguageComboBox.Text");
			this._guiLanguageComboBox.Visible = ((bool)(resources.GetObject("_guiLanguageComboBox.Visible")));
			// 
			// _defaultGUITextTypeComboBox
			// 
			this._defaultGUITextTypeComboBox.AccessibleDescription = resources.GetString("_defaultGUITextTypeComboBox.AccessibleDescription");
			this._defaultGUITextTypeComboBox.AccessibleName = resources.GetString("_defaultGUITextTypeComboBox.AccessibleName");
			this._defaultGUITextTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_defaultGUITextTypeComboBox.Anchor")));
			this._defaultGUITextTypeComboBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_defaultGUITextTypeComboBox.BackgroundImage")));
			this._defaultGUITextTypeComboBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_defaultGUITextTypeComboBox.Dock")));
			this._defaultGUITextTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this._defaultGUITextTypeComboBox.Enabled = ((bool)(resources.GetObject("_defaultGUITextTypeComboBox.Enabled")));
			this._defaultGUITextTypeComboBox.Font = ((System.Drawing.Font)(resources.GetObject("_defaultGUITextTypeComboBox.Font")));
			this._defaultGUITextTypeComboBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_defaultGUITextTypeComboBox.ImeMode")));
			this._defaultGUITextTypeComboBox.IntegralHeight = ((bool)(resources.GetObject("_defaultGUITextTypeComboBox.IntegralHeight")));
			this._defaultGUITextTypeComboBox.ItemHeight = ((int)(resources.GetObject("_defaultGUITextTypeComboBox.ItemHeight")));
			this._defaultGUITextTypeComboBox.Location = ((System.Drawing.Point)(resources.GetObject("_defaultGUITextTypeComboBox.Location")));
			this._defaultGUITextTypeComboBox.MaxDropDownItems = ((int)(resources.GetObject("_defaultGUITextTypeComboBox.MaxDropDownItems")));
			this._defaultGUITextTypeComboBox.MaxLength = ((int)(resources.GetObject("_defaultGUITextTypeComboBox.MaxLength")));
			this._defaultGUITextTypeComboBox.Name = "_defaultGUITextTypeComboBox";
			this._defaultGUITextTypeComboBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_defaultGUITextTypeComboBox.RightToLeft")));
			this._defaultGUITextTypeComboBox.Size = ((System.Drawing.Size)(resources.GetObject("_defaultGUITextTypeComboBox.Size")));
			this._defaultGUITextTypeComboBox.TabIndex = ((int)(resources.GetObject("_defaultGUITextTypeComboBox.TabIndex")));
			this._defaultGUITextTypeComboBox.Text = resources.GetString("_defaultGUITextTypeComboBox.Text");
			this._defaultGUITextTypeComboBox.Visible = ((bool)(resources.GetObject("_defaultGUITextTypeComboBox.Visible")));
			// 
			// label7
			// 
			this.label7.AccessibleDescription = resources.GetString("label7.AccessibleDescription");
			this.label7.AccessibleName = resources.GetString("label7.AccessibleName");
			this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label7.Anchor")));
			this.label7.AutoSize = ((bool)(resources.GetObject("label7.AutoSize")));
			this.label7.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label7.Dock")));
			this.label7.Enabled = ((bool)(resources.GetObject("label7.Enabled")));
			this.label7.Font = ((System.Drawing.Font)(resources.GetObject("label7.Font")));
			this.label7.Image = ((System.Drawing.Image)(resources.GetObject("label7.Image")));
			this.label7.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.ImageAlign")));
			this.label7.ImageIndex = ((int)(resources.GetObject("label7.ImageIndex")));
			this.label7.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label7.ImeMode")));
			this.label7.Location = ((System.Drawing.Point)(resources.GetObject("label7.Location")));
			this.label7.Name = "label7";
			this.label7.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label7.RightToLeft")));
			this.label7.Size = ((System.Drawing.Size)(resources.GetObject("label7.Size")));
			this.label7.TabIndex = ((int)(resources.GetObject("label7.TabIndex")));
			this.label7.Text = resources.GetString("label7.Text");
			this.label7.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.TextAlign")));
			this.label7.Visible = ((bool)(resources.GetObject("label7.Visible")));
			// 
			// numericUpDown3
			// 
			this.numericUpDown3.AccessibleDescription = resources.GetString("numericUpDown3.AccessibleDescription");
			this.numericUpDown3.AccessibleName = resources.GetString("numericUpDown3.AccessibleName");
			this.numericUpDown3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numericUpDown3.Anchor")));
			this.numericUpDown3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numericUpDown3.Dock")));
			this.numericUpDown3.Enabled = ((bool)(resources.GetObject("numericUpDown3.Enabled")));
			this.numericUpDown3.Font = ((System.Drawing.Font)(resources.GetObject("numericUpDown3.Font")));
			this.numericUpDown3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numericUpDown3.ImeMode")));
			this.numericUpDown3.Location = ((System.Drawing.Point)(resources.GetObject("numericUpDown3.Location")));
			this.numericUpDown3.Maximum = new System.Decimal(new int[] {
																		   70,
																		   0,
																		   0,
																		   0});
			this.numericUpDown3.Minimum = new System.Decimal(new int[] {
																		   4,
																		   0,
																		   0,
																		   0});
			this.numericUpDown3.Name = "numericUpDown3";
			this.numericUpDown3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numericUpDown3.RightToLeft")));
			this.numericUpDown3.Size = ((System.Drawing.Size)(resources.GetObject("numericUpDown3.Size")));
			this.numericUpDown3.TabIndex = ((int)(resources.GetObject("numericUpDown3.TabIndex")));
			this.numericUpDown3.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numericUpDown3.TextAlign")));
			this.numericUpDown3.ThousandsSeparator = ((bool)(resources.GetObject("numericUpDown3.ThousandsSeparator")));
			this.numericUpDown3.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numericUpDown3.UpDownAlign")));
			this.numericUpDown3.Value = new System.Decimal(new int[] {
																		 7,
																		 0,
																		 0,
																		 0});
			this.numericUpDown3.Visible = ((bool)(resources.GetObject("numericUpDown3.Visible")));
			this.numericUpDown3.Leave += new System.EventHandler(this.numericUpDown_Leave);
			// 
			// numericUpDown2
			// 
			this.numericUpDown2.AccessibleDescription = resources.GetString("numericUpDown2.AccessibleDescription");
			this.numericUpDown2.AccessibleName = resources.GetString("numericUpDown2.AccessibleName");
			this.numericUpDown2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numericUpDown2.Anchor")));
			this.numericUpDown2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numericUpDown2.Dock")));
			this.numericUpDown2.Enabled = ((bool)(resources.GetObject("numericUpDown2.Enabled")));
			this.numericUpDown2.Font = ((System.Drawing.Font)(resources.GetObject("numericUpDown2.Font")));
			this.numericUpDown2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numericUpDown2.ImeMode")));
			this.numericUpDown2.Location = ((System.Drawing.Point)(resources.GetObject("numericUpDown2.Location")));
			this.numericUpDown2.Maximum = new System.Decimal(new int[] {
																		   1000,
																		   0,
																		   0,
																		   0});
			this.numericUpDown2.Minimum = new System.Decimal(new int[] {
																		   10,
																		   0,
																		   0,
																		   0});
			this.numericUpDown2.Name = "numericUpDown2";
			this.numericUpDown2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numericUpDown2.RightToLeft")));
			this.numericUpDown2.Size = ((System.Drawing.Size)(resources.GetObject("numericUpDown2.Size")));
			this.numericUpDown2.TabIndex = ((int)(resources.GetObject("numericUpDown2.TabIndex")));
			this.numericUpDown2.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numericUpDown2.TextAlign")));
			this.numericUpDown2.ThousandsSeparator = ((bool)(resources.GetObject("numericUpDown2.ThousandsSeparator")));
			this.numericUpDown2.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numericUpDown2.UpDownAlign")));
			this.numericUpDown2.Value = new System.Decimal(new int[] {
																		 50,
																		 0,
																		 0,
																		 0});
			this.numericUpDown2.Visible = ((bool)(resources.GetObject("numericUpDown2.Visible")));
			this.numericUpDown2.Leave += new System.EventHandler(this.numericUpDown_Leave);
			// 
			// numericUpDown1
			// 
			this.numericUpDown1.AccessibleDescription = resources.GetString("numericUpDown1.AccessibleDescription");
			this.numericUpDown1.AccessibleName = resources.GetString("numericUpDown1.AccessibleName");
			this.numericUpDown1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numericUpDown1.Anchor")));
			this.numericUpDown1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numericUpDown1.Dock")));
			this.numericUpDown1.Enabled = ((bool)(resources.GetObject("numericUpDown1.Enabled")));
			this.numericUpDown1.Font = ((System.Drawing.Font)(resources.GetObject("numericUpDown1.Font")));
			this.numericUpDown1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numericUpDown1.ImeMode")));
			this.numericUpDown1.Location = ((System.Drawing.Point)(resources.GetObject("numericUpDown1.Location")));
			this.numericUpDown1.Maximum = new System.Decimal(new int[] {
																		   1000,
																		   0,
																		   0,
																		   0});
			this.numericUpDown1.Minimum = new System.Decimal(new int[] {
																		   20,
																		   0,
																		   0,
																		   0});
			this.numericUpDown1.Name = "numericUpDown1";
			this.numericUpDown1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numericUpDown1.RightToLeft")));
			this.numericUpDown1.Size = ((System.Drawing.Size)(resources.GetObject("numericUpDown1.Size")));
			this.numericUpDown1.TabIndex = ((int)(resources.GetObject("numericUpDown1.TabIndex")));
			this.numericUpDown1.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numericUpDown1.TextAlign")));
			this.numericUpDown1.ThousandsSeparator = ((bool)(resources.GetObject("numericUpDown1.ThousandsSeparator")));
			this.numericUpDown1.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numericUpDown1.UpDownAlign")));
			this.numericUpDown1.Value = new System.Decimal(new int[] {
																		 100,
																		 0,
																		 0,
																		 0});
			this.numericUpDown1.Visible = ((bool)(resources.GetObject("numericUpDown1.Visible")));
			this.numericUpDown1.Leave += new System.EventHandler(this.numericUpDown_Leave);
			// 
			// label5
			// 
			this.label5.AccessibleDescription = resources.GetString("label5.AccessibleDescription");
			this.label5.AccessibleName = resources.GetString("label5.AccessibleName");
			this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label5.Anchor")));
			this.label5.AutoSize = ((bool)(resources.GetObject("label5.AutoSize")));
			this.label5.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label5.Dock")));
			this.label5.Enabled = ((bool)(resources.GetObject("label5.Enabled")));
			this.label5.Font = ((System.Drawing.Font)(resources.GetObject("label5.Font")));
			this.label5.Image = ((System.Drawing.Image)(resources.GetObject("label5.Image")));
			this.label5.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.ImageAlign")));
			this.label5.ImageIndex = ((int)(resources.GetObject("label5.ImageIndex")));
			this.label5.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label5.ImeMode")));
			this.label5.Location = ((System.Drawing.Point)(resources.GetObject("label5.Location")));
			this.label5.Name = "label5";
			this.label5.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label5.RightToLeft")));
			this.label5.Size = ((System.Drawing.Size)(resources.GetObject("label5.Size")));
			this.label5.TabIndex = ((int)(resources.GetObject("label5.TabIndex")));
			this.label5.Text = resources.GetString("label5.Text");
			this.label5.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.TextAlign")));
			this.label5.Visible = ((bool)(resources.GetObject("label5.Visible")));
			// 
			// label4
			// 
			this.label4.AccessibleDescription = resources.GetString("label4.AccessibleDescription");
			this.label4.AccessibleName = resources.GetString("label4.AccessibleName");
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label4.Anchor")));
			this.label4.AutoSize = ((bool)(resources.GetObject("label4.AutoSize")));
			this.label4.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label4.Dock")));
			this.label4.Enabled = ((bool)(resources.GetObject("label4.Enabled")));
			this.label4.Font = ((System.Drawing.Font)(resources.GetObject("label4.Font")));
			this.label4.Image = ((System.Drawing.Image)(resources.GetObject("label4.Image")));
			this.label4.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.ImageAlign")));
			this.label4.ImageIndex = ((int)(resources.GetObject("label4.ImageIndex")));
			this.label4.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label4.ImeMode")));
			this.label4.Location = ((System.Drawing.Point)(resources.GetObject("label4.Location")));
			this.label4.Name = "label4";
			this.label4.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label4.RightToLeft")));
			this.label4.Size = ((System.Drawing.Size)(resources.GetObject("label4.Size")));
			this.label4.TabIndex = ((int)(resources.GetObject("label4.TabIndex")));
			this.label4.Text = resources.GetString("label4.Text");
			this.label4.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.TextAlign")));
			this.label4.Visible = ((bool)(resources.GetObject("label4.Visible")));
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// _reportTabPage
			// 
			this._reportTabPage.AccessibleDescription = resources.GetString("_reportTabPage.AccessibleDescription");
			this._reportTabPage.AccessibleName = resources.GetString("_reportTabPage.AccessibleName");
			this._reportTabPage.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_reportTabPage.Anchor")));
			this._reportTabPage.AutoScroll = ((bool)(resources.GetObject("_reportTabPage.AutoScroll")));
			this._reportTabPage.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("_reportTabPage.AutoScrollMargin")));
			this._reportTabPage.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("_reportTabPage.AutoScrollMinSize")));
			this._reportTabPage.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_reportTabPage.BackgroundImage")));
			this._reportTabPage.Controls.Add(this._browsePdfViewerButton);
			this._reportTabPage.Controls.Add(this._pdfReaderTextBox);
			this._reportTabPage.Controls.Add(this.label10);
			this._reportTabPage.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_reportTabPage.Dock")));
			this._reportTabPage.Enabled = ((bool)(resources.GetObject("_reportTabPage.Enabled")));
			this._reportTabPage.Font = ((System.Drawing.Font)(resources.GetObject("_reportTabPage.Font")));
			this._reportTabPage.ImageIndex = ((int)(resources.GetObject("_reportTabPage.ImageIndex")));
			this._reportTabPage.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_reportTabPage.ImeMode")));
			this._reportTabPage.Location = ((System.Drawing.Point)(resources.GetObject("_reportTabPage.Location")));
			this._reportTabPage.Name = "_reportTabPage";
			this._reportTabPage.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_reportTabPage.RightToLeft")));
			this._reportTabPage.Size = ((System.Drawing.Size)(resources.GetObject("_reportTabPage.Size")));
			this._reportTabPage.TabIndex = ((int)(resources.GetObject("_reportTabPage.TabIndex")));
			this._reportTabPage.Text = resources.GetString("_reportTabPage.Text");
			this._reportTabPage.ToolTipText = resources.GetString("_reportTabPage.ToolTipText");
			this._reportTabPage.Visible = ((bool)(resources.GetObject("_reportTabPage.Visible")));
			// 
			// _browsePdfViewerButton
			// 
			this._browsePdfViewerButton.AccessibleDescription = resources.GetString("_browsePdfViewerButton.AccessibleDescription");
			this._browsePdfViewerButton.AccessibleName = resources.GetString("_browsePdfViewerButton.AccessibleName");
			this._browsePdfViewerButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_browsePdfViewerButton.Anchor")));
			this._browsePdfViewerButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_browsePdfViewerButton.BackgroundImage")));
			this._browsePdfViewerButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_browsePdfViewerButton.Dock")));
			this._browsePdfViewerButton.Enabled = ((bool)(resources.GetObject("_browsePdfViewerButton.Enabled")));
			this._browsePdfViewerButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_browsePdfViewerButton.FlatStyle")));
			this._browsePdfViewerButton.Font = ((System.Drawing.Font)(resources.GetObject("_browsePdfViewerButton.Font")));
			this._browsePdfViewerButton.Image = ((System.Drawing.Image)(resources.GetObject("_browsePdfViewerButton.Image")));
			this._browsePdfViewerButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_browsePdfViewerButton.ImageAlign")));
			this._browsePdfViewerButton.ImageIndex = ((int)(resources.GetObject("_browsePdfViewerButton.ImageIndex")));
			this._browsePdfViewerButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_browsePdfViewerButton.ImeMode")));
			this._browsePdfViewerButton.Location = ((System.Drawing.Point)(resources.GetObject("_browsePdfViewerButton.Location")));
			this._browsePdfViewerButton.Name = "_browsePdfViewerButton";
			this._browsePdfViewerButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_browsePdfViewerButton.RightToLeft")));
			this._browsePdfViewerButton.Size = ((System.Drawing.Size)(resources.GetObject("_browsePdfViewerButton.Size")));
			this._browsePdfViewerButton.TabIndex = ((int)(resources.GetObject("_browsePdfViewerButton.TabIndex")));
			this._browsePdfViewerButton.Text = resources.GetString("_browsePdfViewerButton.Text");
			this._browsePdfViewerButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_browsePdfViewerButton.TextAlign")));
			this._browsePdfViewerButton.Visible = ((bool)(resources.GetObject("_browsePdfViewerButton.Visible")));
			this._browsePdfViewerButton.Click += new System.EventHandler(this._browsePdfViewerButton_Click);
			// 
			// _pdfReaderTextBox
			// 
			this._pdfReaderTextBox.AccessibleDescription = resources.GetString("_pdfReaderTextBox.AccessibleDescription");
			this._pdfReaderTextBox.AccessibleName = resources.GetString("_pdfReaderTextBox.AccessibleName");
			this._pdfReaderTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_pdfReaderTextBox.Anchor")));
			this._pdfReaderTextBox.AutoSize = ((bool)(resources.GetObject("_pdfReaderTextBox.AutoSize")));
			this._pdfReaderTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_pdfReaderTextBox.BackgroundImage")));
			this._pdfReaderTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_pdfReaderTextBox.Dock")));
			this._pdfReaderTextBox.Enabled = ((bool)(resources.GetObject("_pdfReaderTextBox.Enabled")));
			this._pdfReaderTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_pdfReaderTextBox.Font")));
			this._pdfReaderTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_pdfReaderTextBox.ImeMode")));
			this._pdfReaderTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_pdfReaderTextBox.Location")));
			this._pdfReaderTextBox.MaxLength = ((int)(resources.GetObject("_pdfReaderTextBox.MaxLength")));
			this._pdfReaderTextBox.Multiline = ((bool)(resources.GetObject("_pdfReaderTextBox.Multiline")));
			this._pdfReaderTextBox.Name = "_pdfReaderTextBox";
			this._pdfReaderTextBox.PasswordChar = ((char)(resources.GetObject("_pdfReaderTextBox.PasswordChar")));
			this._pdfReaderTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_pdfReaderTextBox.RightToLeft")));
			this._pdfReaderTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_pdfReaderTextBox.ScrollBars")));
			this._pdfReaderTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_pdfReaderTextBox.Size")));
			this._pdfReaderTextBox.TabIndex = ((int)(resources.GetObject("_pdfReaderTextBox.TabIndex")));
			this._pdfReaderTextBox.Text = resources.GetString("_pdfReaderTextBox.Text");
			this._pdfReaderTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_pdfReaderTextBox.TextAlign")));
			this._pdfReaderTextBox.Visible = ((bool)(resources.GetObject("_pdfReaderTextBox.Visible")));
			this._pdfReaderTextBox.WordWrap = ((bool)(resources.GetObject("_pdfReaderTextBox.WordWrap")));
			// 
			// label10
			// 
			this.label10.AccessibleDescription = resources.GetString("label10.AccessibleDescription");
			this.label10.AccessibleName = resources.GetString("label10.AccessibleName");
			this.label10.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label10.Anchor")));
			this.label10.AutoSize = ((bool)(resources.GetObject("label10.AutoSize")));
			this.label10.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label10.Dock")));
			this.label10.Enabled = ((bool)(resources.GetObject("label10.Enabled")));
			this.label10.Font = ((System.Drawing.Font)(resources.GetObject("label10.Font")));
			this.label10.Image = ((System.Drawing.Image)(resources.GetObject("label10.Image")));
			this.label10.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label10.ImageAlign")));
			this.label10.ImageIndex = ((int)(resources.GetObject("label10.ImageIndex")));
			this.label10.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label10.ImeMode")));
			this.label10.Location = ((System.Drawing.Point)(resources.GetObject("label10.Location")));
			this.label10.Name = "label10";
			this.label10.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label10.RightToLeft")));
			this.label10.Size = ((System.Drawing.Size)(resources.GetObject("label10.Size")));
			this.label10.TabIndex = ((int)(resources.GetObject("label10.TabIndex")));
			this.label10.Text = resources.GetString("label10.Text");
			this.label10.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label10.TextAlign")));
			this.label10.Visible = ((bool)(resources.GetObject("label10.Visible")));
			// 
			// SettingsForm
			// 
			this.AcceptButton = this._okButton;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this._cancelButton;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this._tabControl);
			this.Controls.Add(this._okButton);
			this.Controls.Add(this._cancelButton);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "SettingsForm";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.SettingsForm_Load);
			this._tabControl.ResumeLayout(false);
			this._generalSettTabPage.ResumeLayout(false);
			this._guiSettTabPage.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown3)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).EndInit();
			this._reportTabPage.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void SettingsForm_Load(object sender, System.EventArgs e)
		{
			_eduInstNameTextBox.Text=Settings.EDU_INSTITUTION_NAME_SETT;
            _schoolYearTextBox.Text=Settings.SCHOOL_YEAR_SETT;
			_workDirTextBox.Text=Settings.WORKING_DIR_SETT;
			_defaultGUITextTypeComboBox.SelectedIndex=Settings.DEFAULT_GUI_TEXT_TYPE-1;

			numericUpDown1.Value=System.Convert.ToInt32(Settings.TIME_SLOT_PANEL_WIDTH);
			numericUpDown2.Value=System.Convert.ToInt32(Settings.TIME_SLOT_PANEL_HEIGHT);
			numericUpDown3.Value=System.Convert.ToInt32(Settings.TIME_SLOT_PANEL_FONT_SIZE);

			_guiLanguageComboBox.SelectedValue=Settings.GUI_LANGUAGE;
			
			_pdfReaderTextBox.Text=Settings.PDF_READER_APPLICATION;
		}

		private void numericUpDown_Leave(object sender, System.EventArgs e)
		{
			if(numericUpDown1.Value>numericUpDown1.Maximum)
			{
				numericUpDown1.Value=numericUpDown1.Maximum;
			}
			else if(numericUpDown1.Value<numericUpDown1.Minimum)
			{
				numericUpDown1.Value=numericUpDown1.Minimum;
			}

			if(numericUpDown2.Value>numericUpDown2.Maximum)
			{
				numericUpDown2.Value=numericUpDown2.Maximum;
			}
			else if(numericUpDown2.Value<numericUpDown2.Minimum)
			{
				numericUpDown2.Value=numericUpDown2.Minimum;
			}

			if(numericUpDown3.Value>numericUpDown3.Maximum)
			{
				numericUpDown3.Value=numericUpDown3.Maximum;
			}
			else if(numericUpDown3.Value<numericUpDown3.Minimum)
			{
				numericUpDown3.Value=numericUpDown3.Minimum;
			}

		}

		private void _browseDirButton_Click(object sender, System.EventArgs e)
		{
			string folderName;
			FolderBrowserDialog fbd = new FolderBrowserDialog();
			fbd.RootFolder = Environment.SpecialFolder.MyComputer;			

			DialogResult result = fbd.ShowDialog();
			if( result == DialogResult.OK )
			{
				folderName = fbd.SelectedPath;
				_workDirTextBox.Text=folderName;				
			}

		}

		private void _browsePdfViewerButton_Click(object sender, System.EventArgs e)
		{
			string fileName;
			OpenFileDialog ofd = new OpenFileDialog();
			ofd.Filter="Pdf reader"+" (*.exe)|*.exe";
			ofd.InitialDirectory = Settings.WORKING_DIR_SETT;

			DialogResult result = ofd.ShowDialog();
			if( result == DialogResult.OK )
			{
				fileName = ofd.FileName;
				_pdfReaderTextBox.Text=fileName;				
			}
		
		}

		

		


		public string EduInstitutionNameText
		{
			get
			{
				return _eduInstNameTextBox.Text.Trim();
			}

		}

		public string SchoolYearText
		{
			get
			{
				return _schoolYearTextBox.Text.Trim();
			}

		}

		public string WorkingDir
		{
			get
			{
				return _workDirTextBox.Text.Trim();
			}

		}

		public int TSPanelWidth
		{
			get
			{
				return (int)numericUpDown1.Value;
			}

		}

		public int TSPanelHeight
		{
			get
			{
				return (int)numericUpDown2.Value;
			}

		}

		public int TSPanelFontSize
		{
			get
			{
				return (int)numericUpDown3.Value;
			}
		}

		public int DefaultGUITextType
		{
			get
			{
				return _defaultGUITextTypeComboBox.SelectedIndex+1;
			}
		}

		public string GUILanguage
		{			
			get
			{				
				return _guiLanguageComboBox.SelectedValue.ToString();
			}
		}
		

		public string PdfReaderApplication
		{
			get
			{
				return _pdfReaderTextBox.Text.Trim();
			}

		}
	}


	internal class KNOWLEDGEGuiLanguage
	{
		private string _shortLang;
		private string _longLang;

		public KNOWLEDGEGuiLanguage(string shortLang, string longLang)
		{
			_shortLang= shortLang;
			_longLang=longLang;
		}
        
		public string ShortLang
		{
			get
			{
				return _shortLang;
			}
		}

		public string LongLang
		{
			get
			{
				return _longLang;
			}
		}
	}
	
}
