#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,


#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Globalization;
using System.Resources;

namespace BdNTT
{
	/// <summary>
	/// Summary description for TeacherPropertiesForm.
	/// </summary>
	public class TeacherPropertiesForm : System.Windows.Forms.Form
	{
		private static ResourceManager RES_MANAGER;

		private bool _isNew;
		private Teacher _teacher;

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Button _okButton;
		private System.Windows.Forms.Button _cancelButton;
		private System.Windows.Forms.TextBox _lastnameTextBox;
		private System.Windows.Forms.ComboBox _titleComboBox;
		private System.Windows.Forms.ComboBox _eduRankComboBox;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.TextBox _nameTextBox;
		private System.Windows.Forms.TextBox _extIDTextBox;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TeacherPropertiesForm()
		{
			InitializeComponent();
			
			if(RES_MANAGER==null)
			{
				RES_MANAGER = new System.Resources.ResourceManager("BdNTT.MyStrings.TeacherPropertiesForm",this.GetType().Assembly);
			}

			_titleComboBox.DataSource=AppForm.CURR_KNOWLEDGE_DOC.TeacherTitlesList;
			_eduRankComboBox.DataSource=AppForm.CURR_KNOWLEDGE_DOC.TeacherEduRanksList;

			_isNew=true;


		}

		public TeacherPropertiesForm(Teacher teacher):this()
		{
			_isNew=false;
			_teacher=teacher;

			this._nameTextBox.Text=_teacher.getName();
			this._lastnameTextBox.Text=_teacher.getLastName();
			this._extIDTextBox.Text=_teacher.ExtID;			

			this._titleComboBox.SelectedItem=_teacher.getTitle();
			this._eduRankComboBox.SelectedItem=_teacher.getEduRank();
			
			

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TeacherPropertiesForm));
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this._okButton = new System.Windows.Forms.Button();
			this._cancelButton = new System.Windows.Forms.Button();
			this._lastnameTextBox = new System.Windows.Forms.TextBox();
			this._titleComboBox = new System.Windows.Forms.ComboBox();
			this._eduRankComboBox = new System.Windows.Forms.ComboBox();
			this.label5 = new System.Windows.Forms.Label();
			this._nameTextBox = new System.Windows.Forms.TextBox();
			this._extIDTextBox = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// label4
			// 
			this.label4.AccessibleDescription = resources.GetString("label4.AccessibleDescription");
			this.label4.AccessibleName = resources.GetString("label4.AccessibleName");
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label4.Anchor")));
			this.label4.AutoSize = ((bool)(resources.GetObject("label4.AutoSize")));
			this.label4.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label4.Dock")));
			this.label4.Enabled = ((bool)(resources.GetObject("label4.Enabled")));
			this.label4.Font = ((System.Drawing.Font)(resources.GetObject("label4.Font")));
			this.label4.Image = ((System.Drawing.Image)(resources.GetObject("label4.Image")));
			this.label4.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.ImageAlign")));
			this.label4.ImageIndex = ((int)(resources.GetObject("label4.ImageIndex")));
			this.label4.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label4.ImeMode")));
			this.label4.Location = ((System.Drawing.Point)(resources.GetObject("label4.Location")));
			this.label4.Name = "label4";
			this.label4.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label4.RightToLeft")));
			this.label4.Size = ((System.Drawing.Size)(resources.GetObject("label4.Size")));
			this.label4.TabIndex = ((int)(resources.GetObject("label4.TabIndex")));
			this.label4.Text = resources.GetString("label4.Text");
			this.label4.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.TextAlign")));
			this.label4.Visible = ((bool)(resources.GetObject("label4.Visible")));
			// 
			// _okButton
			// 
			this._okButton.AccessibleDescription = resources.GetString("_okButton.AccessibleDescription");
			this._okButton.AccessibleName = resources.GetString("_okButton.AccessibleName");
			this._okButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_okButton.Anchor")));
			this._okButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_okButton.BackgroundImage")));
			this._okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this._okButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_okButton.Dock")));
			this._okButton.Enabled = ((bool)(resources.GetObject("_okButton.Enabled")));
			this._okButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_okButton.FlatStyle")));
			this._okButton.Font = ((System.Drawing.Font)(resources.GetObject("_okButton.Font")));
			this._okButton.Image = ((System.Drawing.Image)(resources.GetObject("_okButton.Image")));
			this._okButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_okButton.ImageAlign")));
			this._okButton.ImageIndex = ((int)(resources.GetObject("_okButton.ImageIndex")));
			this._okButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_okButton.ImeMode")));
			this._okButton.Location = ((System.Drawing.Point)(resources.GetObject("_okButton.Location")));
			this._okButton.Name = "_okButton";
			this._okButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_okButton.RightToLeft")));
			this._okButton.Size = ((System.Drawing.Size)(resources.GetObject("_okButton.Size")));
			this._okButton.TabIndex = ((int)(resources.GetObject("_okButton.TabIndex")));
			this._okButton.Text = resources.GetString("_okButton.Text");
			this._okButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_okButton.TextAlign")));
			this._okButton.Visible = ((bool)(resources.GetObject("_okButton.Visible")));
			// 
			// _cancelButton
			// 
			this._cancelButton.AccessibleDescription = resources.GetString("_cancelButton.AccessibleDescription");
			this._cancelButton.AccessibleName = resources.GetString("_cancelButton.AccessibleName");
			this._cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_cancelButton.Anchor")));
			this._cancelButton.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_cancelButton.BackgroundImage")));
			this._cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this._cancelButton.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_cancelButton.Dock")));
			this._cancelButton.Enabled = ((bool)(resources.GetObject("_cancelButton.Enabled")));
			this._cancelButton.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("_cancelButton.FlatStyle")));
			this._cancelButton.Font = ((System.Drawing.Font)(resources.GetObject("_cancelButton.Font")));
			this._cancelButton.Image = ((System.Drawing.Image)(resources.GetObject("_cancelButton.Image")));
			this._cancelButton.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_cancelButton.ImageAlign")));
			this._cancelButton.ImageIndex = ((int)(resources.GetObject("_cancelButton.ImageIndex")));
			this._cancelButton.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_cancelButton.ImeMode")));
			this._cancelButton.Location = ((System.Drawing.Point)(resources.GetObject("_cancelButton.Location")));
			this._cancelButton.Name = "_cancelButton";
			this._cancelButton.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_cancelButton.RightToLeft")));
			this._cancelButton.Size = ((System.Drawing.Size)(resources.GetObject("_cancelButton.Size")));
			this._cancelButton.TabIndex = ((int)(resources.GetObject("_cancelButton.TabIndex")));
			this._cancelButton.Text = resources.GetString("_cancelButton.Text");
			this._cancelButton.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("_cancelButton.TextAlign")));
			this._cancelButton.Visible = ((bool)(resources.GetObject("_cancelButton.Visible")));
			// 
			// _lastnameTextBox
			// 
			this._lastnameTextBox.AccessibleDescription = resources.GetString("_lastnameTextBox.AccessibleDescription");
			this._lastnameTextBox.AccessibleName = resources.GetString("_lastnameTextBox.AccessibleName");
			this._lastnameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_lastnameTextBox.Anchor")));
			this._lastnameTextBox.AutoSize = ((bool)(resources.GetObject("_lastnameTextBox.AutoSize")));
			this._lastnameTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_lastnameTextBox.BackgroundImage")));
			this._lastnameTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_lastnameTextBox.Dock")));
			this._lastnameTextBox.Enabled = ((bool)(resources.GetObject("_lastnameTextBox.Enabled")));
			this._lastnameTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_lastnameTextBox.Font")));
			this._lastnameTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_lastnameTextBox.ImeMode")));
			this._lastnameTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_lastnameTextBox.Location")));
			this._lastnameTextBox.MaxLength = ((int)(resources.GetObject("_lastnameTextBox.MaxLength")));
			this._lastnameTextBox.Multiline = ((bool)(resources.GetObject("_lastnameTextBox.Multiline")));
			this._lastnameTextBox.Name = "_lastnameTextBox";
			this._lastnameTextBox.PasswordChar = ((char)(resources.GetObject("_lastnameTextBox.PasswordChar")));
			this._lastnameTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_lastnameTextBox.RightToLeft")));
			this._lastnameTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_lastnameTextBox.ScrollBars")));
			this._lastnameTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_lastnameTextBox.Size")));
			this._lastnameTextBox.TabIndex = ((int)(resources.GetObject("_lastnameTextBox.TabIndex")));
			this._lastnameTextBox.Text = resources.GetString("_lastnameTextBox.Text");
			this._lastnameTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_lastnameTextBox.TextAlign")));
			this._lastnameTextBox.Visible = ((bool)(resources.GetObject("_lastnameTextBox.Visible")));
			this._lastnameTextBox.WordWrap = ((bool)(resources.GetObject("_lastnameTextBox.WordWrap")));
			this._lastnameTextBox.TextChanged += new System.EventHandler(this._nameLastnameTextBox_TextChanged);
			// 
			// _titleComboBox
			// 
			this._titleComboBox.AccessibleDescription = resources.GetString("_titleComboBox.AccessibleDescription");
			this._titleComboBox.AccessibleName = resources.GetString("_titleComboBox.AccessibleName");
			this._titleComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_titleComboBox.Anchor")));
			this._titleComboBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_titleComboBox.BackgroundImage")));
			this._titleComboBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_titleComboBox.Dock")));
			this._titleComboBox.Enabled = ((bool)(resources.GetObject("_titleComboBox.Enabled")));
			this._titleComboBox.Font = ((System.Drawing.Font)(resources.GetObject("_titleComboBox.Font")));
			this._titleComboBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_titleComboBox.ImeMode")));
			this._titleComboBox.IntegralHeight = ((bool)(resources.GetObject("_titleComboBox.IntegralHeight")));
			this._titleComboBox.ItemHeight = ((int)(resources.GetObject("_titleComboBox.ItemHeight")));
			this._titleComboBox.Location = ((System.Drawing.Point)(resources.GetObject("_titleComboBox.Location")));
			this._titleComboBox.MaxDropDownItems = ((int)(resources.GetObject("_titleComboBox.MaxDropDownItems")));
			this._titleComboBox.MaxLength = ((int)(resources.GetObject("_titleComboBox.MaxLength")));
			this._titleComboBox.Name = "_titleComboBox";
			this._titleComboBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_titleComboBox.RightToLeft")));
			this._titleComboBox.Size = ((System.Drawing.Size)(resources.GetObject("_titleComboBox.Size")));
			this._titleComboBox.TabIndex = ((int)(resources.GetObject("_titleComboBox.TabIndex")));
			this._titleComboBox.Text = resources.GetString("_titleComboBox.Text");
			this._titleComboBox.Visible = ((bool)(resources.GetObject("_titleComboBox.Visible")));
			// 
			// _eduRankComboBox
			// 
			this._eduRankComboBox.AccessibleDescription = resources.GetString("_eduRankComboBox.AccessibleDescription");
			this._eduRankComboBox.AccessibleName = resources.GetString("_eduRankComboBox.AccessibleName");
			this._eduRankComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_eduRankComboBox.Anchor")));
			this._eduRankComboBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_eduRankComboBox.BackgroundImage")));
			this._eduRankComboBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_eduRankComboBox.Dock")));
			this._eduRankComboBox.Enabled = ((bool)(resources.GetObject("_eduRankComboBox.Enabled")));
			this._eduRankComboBox.Font = ((System.Drawing.Font)(resources.GetObject("_eduRankComboBox.Font")));
			this._eduRankComboBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_eduRankComboBox.ImeMode")));
			this._eduRankComboBox.IntegralHeight = ((bool)(resources.GetObject("_eduRankComboBox.IntegralHeight")));
			this._eduRankComboBox.ItemHeight = ((int)(resources.GetObject("_eduRankComboBox.ItemHeight")));
			this._eduRankComboBox.Location = ((System.Drawing.Point)(resources.GetObject("_eduRankComboBox.Location")));
			this._eduRankComboBox.MaxDropDownItems = ((int)(resources.GetObject("_eduRankComboBox.MaxDropDownItems")));
			this._eduRankComboBox.MaxLength = ((int)(resources.GetObject("_eduRankComboBox.MaxLength")));
			this._eduRankComboBox.Name = "_eduRankComboBox";
			this._eduRankComboBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_eduRankComboBox.RightToLeft")));
			this._eduRankComboBox.Size = ((System.Drawing.Size)(resources.GetObject("_eduRankComboBox.Size")));
			this._eduRankComboBox.TabIndex = ((int)(resources.GetObject("_eduRankComboBox.TabIndex")));
			this._eduRankComboBox.Text = resources.GetString("_eduRankComboBox.Text");
			this._eduRankComboBox.Visible = ((bool)(resources.GetObject("_eduRankComboBox.Visible")));
			// 
			// label5
			// 
			this.label5.AccessibleDescription = resources.GetString("label5.AccessibleDescription");
			this.label5.AccessibleName = resources.GetString("label5.AccessibleName");
			this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label5.Anchor")));
			this.label5.AutoSize = ((bool)(resources.GetObject("label5.AutoSize")));
			this.label5.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label5.Dock")));
			this.label5.Enabled = ((bool)(resources.GetObject("label5.Enabled")));
			this.label5.Font = ((System.Drawing.Font)(resources.GetObject("label5.Font")));
			this.label5.Image = ((System.Drawing.Image)(resources.GetObject("label5.Image")));
			this.label5.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.ImageAlign")));
			this.label5.ImageIndex = ((int)(resources.GetObject("label5.ImageIndex")));
			this.label5.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label5.ImeMode")));
			this.label5.Location = ((System.Drawing.Point)(resources.GetObject("label5.Location")));
			this.label5.Name = "label5";
			this.label5.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label5.RightToLeft")));
			this.label5.Size = ((System.Drawing.Size)(resources.GetObject("label5.Size")));
			this.label5.TabIndex = ((int)(resources.GetObject("label5.TabIndex")));
			this.label5.Text = resources.GetString("label5.Text");
			this.label5.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.TextAlign")));
			this.label5.Visible = ((bool)(resources.GetObject("label5.Visible")));
			// 
			// _nameTextBox
			// 
			this._nameTextBox.AccessibleDescription = resources.GetString("_nameTextBox.AccessibleDescription");
			this._nameTextBox.AccessibleName = resources.GetString("_nameTextBox.AccessibleName");
			this._nameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_nameTextBox.Anchor")));
			this._nameTextBox.AutoSize = ((bool)(resources.GetObject("_nameTextBox.AutoSize")));
			this._nameTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_nameTextBox.BackgroundImage")));
			this._nameTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_nameTextBox.Dock")));
			this._nameTextBox.Enabled = ((bool)(resources.GetObject("_nameTextBox.Enabled")));
			this._nameTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_nameTextBox.Font")));
			this._nameTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_nameTextBox.ImeMode")));
			this._nameTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_nameTextBox.Location")));
			this._nameTextBox.MaxLength = ((int)(resources.GetObject("_nameTextBox.MaxLength")));
			this._nameTextBox.Multiline = ((bool)(resources.GetObject("_nameTextBox.Multiline")));
			this._nameTextBox.Name = "_nameTextBox";
			this._nameTextBox.PasswordChar = ((char)(resources.GetObject("_nameTextBox.PasswordChar")));
			this._nameTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_nameTextBox.RightToLeft")));
			this._nameTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_nameTextBox.ScrollBars")));
			this._nameTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_nameTextBox.Size")));
			this._nameTextBox.TabIndex = ((int)(resources.GetObject("_nameTextBox.TabIndex")));
			this._nameTextBox.Text = resources.GetString("_nameTextBox.Text");
			this._nameTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_nameTextBox.TextAlign")));
			this._nameTextBox.Visible = ((bool)(resources.GetObject("_nameTextBox.Visible")));
			this._nameTextBox.WordWrap = ((bool)(resources.GetObject("_nameTextBox.WordWrap")));
			this._nameTextBox.TextChanged += new System.EventHandler(this._nameLastnameTextBox_TextChanged);
			// 
			// _extIDTextBox
			// 
			this._extIDTextBox.AccessibleDescription = resources.GetString("_extIDTextBox.AccessibleDescription");
			this._extIDTextBox.AccessibleName = resources.GetString("_extIDTextBox.AccessibleName");
			this._extIDTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("_extIDTextBox.Anchor")));
			this._extIDTextBox.AutoSize = ((bool)(resources.GetObject("_extIDTextBox.AutoSize")));
			this._extIDTextBox.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("_extIDTextBox.BackgroundImage")));
			this._extIDTextBox.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("_extIDTextBox.Dock")));
			this._extIDTextBox.Enabled = ((bool)(resources.GetObject("_extIDTextBox.Enabled")));
			this._extIDTextBox.Font = ((System.Drawing.Font)(resources.GetObject("_extIDTextBox.Font")));
			this._extIDTextBox.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("_extIDTextBox.ImeMode")));
			this._extIDTextBox.Location = ((System.Drawing.Point)(resources.GetObject("_extIDTextBox.Location")));
			this._extIDTextBox.MaxLength = ((int)(resources.GetObject("_extIDTextBox.MaxLength")));
			this._extIDTextBox.Multiline = ((bool)(resources.GetObject("_extIDTextBox.Multiline")));
			this._extIDTextBox.Name = "_extIDTextBox";
			this._extIDTextBox.PasswordChar = ((char)(resources.GetObject("_extIDTextBox.PasswordChar")));
			this._extIDTextBox.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("_extIDTextBox.RightToLeft")));
			this._extIDTextBox.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("_extIDTextBox.ScrollBars")));
			this._extIDTextBox.Size = ((System.Drawing.Size)(resources.GetObject("_extIDTextBox.Size")));
			this._extIDTextBox.TabIndex = ((int)(resources.GetObject("_extIDTextBox.TabIndex")));
			this._extIDTextBox.Text = resources.GetString("_extIDTextBox.Text");
			this._extIDTextBox.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("_extIDTextBox.TextAlign")));
			this._extIDTextBox.Visible = ((bool)(resources.GetObject("_extIDTextBox.Visible")));
			this._extIDTextBox.WordWrap = ((bool)(resources.GetObject("_extIDTextBox.WordWrap")));
			// 
			// TeacherPropertiesForm
			// 
			this.AcceptButton = this._okButton;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this._cancelButton;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this._extIDTextBox);
			this.Controls.Add(this.label5);
			this.Controls.Add(this._eduRankComboBox);
			this.Controls.Add(this._titleComboBox);
			this.Controls.Add(this._lastnameTextBox);
			this.Controls.Add(this._nameTextBox);
			this.Controls.Add(this._cancelButton);
			this.Controls.Add(this._okButton);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "TeacherPropertiesForm";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Closing += new System.ComponentModel.CancelEventHandler(this.Form_Closing);
			this.ResumeLayout(false);

		}
		#endregion

		
		private void _nameLastnameTextBox_TextChanged(object sender, System.EventArgs e)
		{
			if(_nameTextBox.Text.Trim()!="" && _lastnameTextBox.Text.Trim()!="") 
			{
				_okButton.Enabled=true;

			} 
			else 
			{
				_okButton.Enabled=false;

			}
		
		}

		private void Form_Closing (Object sender, CancelEventArgs e)
		{
			if(this.DialogResult==DialogResult.OK)
			{
				string title = (string)_titleComboBox.SelectedItem;
				if(title==null)title=_titleComboBox.Text;
					
				string eduRank = (string)_eduRankComboBox.SelectedItem;
				if(eduRank==null)eduRank=_eduRankComboBox.Text;

				if(_isNew) 
				{					
					if(Teacher.getIsTeacherDataOK(null,_nameTextBox.Text.Trim(),_lastnameTextBox.Text.Trim(),title.Trim(), eduRank.Trim()))
					{
						e.Cancel=false;
					}
					else
					{
						e.Cancel = true;
					
						string message1 = RES_MANAGER.GetString("Form_Closing.msb.teacher_not_created.message");

						string caption1 = RES_MANAGER.GetString("Form_Closing.msb.teacher_not_created.caption");

						MessageBoxButtons buttons1 = MessageBoxButtons.OK;					
		
						MessageBox.Show(this, message1, caption1, buttons1,
							MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);

					}
				}
				else
				{
					if(Teacher.getIsTeacherDataOK(_teacher,_nameTextBox.Text.Trim(),_lastnameTextBox.Text.Trim(),title.Trim(), eduRank.Trim()))
					{
						e.Cancel=false;
					}
					else
					{
						e.Cancel = true;
					
						string message2 = RES_MANAGER.GetString("Form_Closing.msb.teacher_data_not_changed.message");
					
						string caption2 = RES_MANAGER.GetString("Form_Closing.msb.teacher_data_not_changed.caption");

						MessageBoxButtons buttons2 = MessageBoxButtons.OK;					
		
						MessageBox.Show(this, message2, caption2, buttons2,
							MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);

					}

				}
			}

		}

		public TextBox NameTextBox
		{
			get
			{
				return _nameTextBox;
			}
		}

		public TextBox LastnameTextBox
		{
			get
			{
				return _lastnameTextBox;
			}
		}


		public TextBox ExtIDTextBox
		{
			get
			{
				return _extIDTextBox;
			}
		}

		public ComboBox TitleComboBox
		{
			get
			{
				return _titleComboBox;
			}
		}	

		public ComboBox EduRankComboBox
		{
			get
			{
				return _eduRankComboBox;
			}
		}		


	}
}
