#region Bulgarian Educational Site Timetabler - An application for school and university course timetabling
//
// Author:
//   Daniel Denev (mailto:daniel_i_denev@abv.bg)
//
// Copyright (c) 2007 Daniel Denev, VT, Bulgaria
//
// http://best-bg.eu
//
//This file is part of Bulgarian Educational Site Timetabler.
//
//Bulgarian Educational Site Timetabler is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2 of the License,
//or (at your option) any later version.
//
//Bulgarian Educational Site Timetabler is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
//You should have received a copy of the GNU General Public License along with
//Bulgarian Educational Site Timetabler; if not, write to the Free Software Foundation, Inc., 51 Franklin St,
//Fifth Floor, Boston, MA  02110-1301  USA

#endregion


using System;
using System.Data;
using System.Windows.Forms;

namespace KNOWLEDGEPluginInterface
{
	public interface IPlugin
	{
		IPluginHost Host {get;set;}
		
		string Name {get;}
		string Description {get;}
		string Author {get;}
		string Version {get;}

		string MITextForHost {get;}
		MenuItem HostMenuItemForActivation{get;set;}

		//1 -menu item is enabled only if document is closed
		//2 -menu item is enabled only if document is open
		//3 -menu item is allways enabled
		int EnabledDisabledMIType{get;}
		
		
		System.Windows.Forms.Form MainGUIForm {get;}
		
		void Initialize();
		void Dispose();
	
	}
	
	public interface IPluginHost
	{		
		string ActiveDocumentData_Test{get;}

		DataSet BdNTTDataSet{get;}
		bool closeActiveDocument();

		void importDataForTTStart(DataSet ds);
                	

	}


}
